Bug 10051 - surname and first name should have comma in overdues report
Summary: surname and first name should have comma in overdues report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-14 23:35 UTC by Liz Rea
Modified: 2016-06-21 21:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10051: Separate first name and surname with comma in overdues report (1.92 KB, patch)
2014-11-29 10:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10051: Separate first name and surname with comma in overdues report (1.98 KB, patch)
2014-12-01 15:49 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
[SIGNED OFF] Bug 10051: Separate first name and surname with comma in overdues report (2.06 KB, patch)
2014-12-01 16:04 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 10051: Separate first name and surname with comma in overdues report (2.10 KB, patch)
2014-12-08 15:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2013-04-14 23:35:32 UTC
Currently the Holds to Pull report shows names as 

Surname Firstname

It would look nicer and be less confusing if it said

Surname, Firstname
Comment 1 Liz Rea 2013-04-14 23:39:51 UTC
That should read "in the overdues report" available from circulation.
Comment 2 Katrin Fischer 2014-11-02 10:27:18 UTC
Still true, would be an easy one :)
Comment 3 Katrin Fischer 2014-11-29 10:45:41 UTC Comment hidden (obsolete)
Comment 4 PTFS Europe Sandboxes 2014-12-01 15:49:25 UTC
Patch tested with a sandbox, by David Roberts <david.roberts@ptfs-europe.com>
Comment 5 PTFS Europe Sandboxes 2014-12-01 15:49:40 UTC Comment hidden (obsolete)
Comment 6 Christopher Brannon 2014-12-01 16:04:59 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-12-08 15:56:52 UTC
Created attachment 34179 [details] [review]
Bug 10051: Separate first name and surname with comma in overdues report

The name of the patron who has overdues is displayed as
"surname first name" instead of "surname, first name".

To test:
- Go to circulation > overdues
- Verify that first name and surname are not separated by comma
- Apply patch
- Verify the display is improved with a comma
- Delete the first name from one of the patrons
- Verify display is still ok

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>
Signed-off-by: Christopher Brannon <cbrannon@debian.localdomain>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Tomás Cohen Arazi 2014-12-17 23:08:28 UTC
Patch pushed to master.

Thanks Katrina!
Comment 9 Chris Cormack 2014-12-18 01:08:06 UTC
Pushed to 3.18.x will be in 3.18.2